/*
 * myship.h
 *
 * Last modified: <2008/08/09 08:48:40 +0900> By SUMIDA
 */
#ifndef MYSHIP_H_INCLUDED
#define MYSHIP_H_INCLUDED

#include "ship.h"
#include "shot.h"

typedef struct ABILITY {
	int powerup;
	int speedup;
	int missile;
	int threeway;
} ABILITY;

typedef struct MYSHIP_MGR {
	SHIP_MGR *ship_mgr;
	SHOT_MGR *shot_mgr;
	SHIP_INFO *ship;
	SHOT_MGR *shot2_mgr;
	SHOT_MGR *shot3_mgr;
	SHOT_MGR *missile_mgr;
	ABILITY ability;
} MYSHIP_MGR;

extern void myship_init(MYSHIP_MGR *mgr);

extern void myship_action(MYSHIP_MGR *mgr);

#endif
