/*
 * star.c
 *
 * Last modified: <2008/08/08 13:29:24 +0900> By SUMIDA
 */
#include <SDL.h>
#include "system.h"
#include "enemy.h"
#include "sprite.h"
#include "sound.h"

void star_init(SHIP_INFO *info) {

	REPORT(format("info=%p, id=%d", info, info->id));
	info->flag |= SHIP_FLAG_star;
	info->sprite.dx = IntToReal(2);
	info->sprite.dy = IntToReal(-4);
}

void star(SHIP_INFO *info, SHOT_MGR *shot_mgr, SHIP_INFO *ship) {

	info->sprite.dy += ACCELERATION >> 2;
}

void star_term(SHIP_INFO *info) {
	REPORT(format("info=%p", info));
}
